(function() {
  var extensions = {
    'Land Rush': {
      percent_land: 0.55,
      percent_air: 0.00,
      percent_naval: 0.45,
      percent_orbital: 0.00,
      metal_drain_check: 0.3,
      energy_drain_check: 0.3,
      metal_demand_check: 0.73,
      energy_demand_check: 0.4,
      micro_type: 2,
      go_for_the_kill: true,
      priority_scout_metal_spots: true,
      neural_data_mod: 2.0
    },
    'Turtle': {
      percent_land: 0.25,
      percent_air: 0.25,
      percent_naval: 0.25,
      percent_orbital: 0.25,
      metal_drain_check: 0.6,
      energy_drain_check: 2.0,
      metal_demand_check: 0.73,
      energy_demand_check: 1.0,
      micro_type: 2,
      go_for_the_kill: true,
      priority_scout_metal_spots: true,
      neural_data_mod: 0.0
    },
    'Brad Rush': {
      percent_land: 0.65,
      percent_air: 0.25,
      percent_naval: 0.05,
      percent_orbital: 0.05,
      metal_drain_check: 0.1,
      energy_drain_check: 0.1,
      metal_demand_check: 0.1,
      energy_demand_check: 0.1,
      micro_type: 2,
      go_for_the_kill: true,
      priority_scout_metal_spots: true,
      neural_data_mod: 1.0
    },
    'Wandering Hazard': {
      percent_land: 0.65,
      percent_air: 0.25,
      percent_naval: 0.05,
      percent_orbital: 0.05,
      metal_drain_check: 10.0,
      energy_drain_check: 0.01,
      metal_demand_check: 0.73,
      energy_demand_check: 0.8,
      micro_type: 2,
      go_for_the_kill: true,
      priority_scout_metal_spots: true,
      neural_data_mod: 1.0
    },
    'Extreme Low Metal Games': {
      percent_land: 0.65,
      percent_air: 0.25,
      percent_naval: 0.05,
      percent_orbital: 0.05,
      metal_drain_check: 0.12,
      energy_drain_check: 0.65,
      metal_demand_check: 0.73,
      energy_demand_check: 0.8,
      micro_type: 2,
      go_for_the_kill: true,
      priority_scout_metal_spots: true,
      neural_data_mod: 1.0
    },
    'Land/Naval': {
      percent_land: 0.49,
      percent_air: 0.01,
      percent_naval: 0.49,
      percent_orbital: 0.01,
      metal_drain_check: 0.53,
      energy_drain_check: 0.65,
      metal_demand_check: 0.73,
      energy_demand_check: 0.8,
      micro_type: 2,
      go_for_the_kill: true,
      priority_scout_metal_spots: true,
      neural_data_mod: 1.0
    },
    'Air': {
      percent_land: 0.01,
      percent_air: 0.97,
      percent_naval: 0.01,
      percent_orbital: 0.01,
      metal_drain_check: 0.53,
      energy_drain_check: 0.65,
      metal_demand_check: 0.73,
      energy_demand_check: 0.8,
      micro_type: 2,
      go_for_the_kill: true,
      priority_scout_metal_spots: true,
      neural_data_mod: 1.0
    },
    'Orbital': {
      percent_land: 0.01,
      percent_air: 0.01,
      percent_naval: 0.01,
      percent_orbital: 0.97,
      metal_drain_check: 0.53,
      energy_drain_check: 0.65,
      metal_demand_check: 0.73,
      energy_demand_check: 0.8,
      micro_type: 2,
      go_for_the_kill: true,
      priority_scout_metal_spots: true,
      neural_data_mod: 1.0
    },
    'Legonis Machina (land/air)': {
      percent_land: 0.55,
      percent_air: 0.35,
      percent_naval: 0.05,
      percent_orbital: 0.05,
      metal_drain_check: 0.75,
      energy_drain_check: 0.85,
      metal_demand_check: 0.75,
      energy_demand_check: 0.85,
      micro_type: 2,
      go_for_the_kill: true,
      neural_data_mod: 1
    },
    'Foundation (air/naval)': {
      percent_land: 0.05,
      percent_orbital: 0.05,
      percent_air: 0.55,
      percent_naval: 0.35,
      metal_drain_check: 0.75,
      energy_drain_check: 0.85,
      metal_demand_check: 0.75,
      energy_demand_check: 0.85,
      micro_type: 2,
      go_for_the_kill: true,
      neural_data_mod: 1
    },
    'Synchronous (balanced)': {
      percent_land: 0.3,
      percent_air: 0.3,
      percent_naval: 0.05,
      percent_orbital: 0.35,
      metal_drain_check: 0.75,
      energy_drain_check: 0.85,
      metal_demand_check: 0.75,
      energy_demand_check: 0.85,
      micro_type: 2,
      go_for_the_kill: true,
      neural_data_mod: 1
    },
    'Revenants (orbital)': {
      percent_land: 0.15,
      percent_air: 0.15,
      percent_naval: 0.1,
      percent_orbital: 0.6,
      metal_drain_check: 0.75,
      energy_drain_check: 0.85,
      metal_demand_check: 0.75,
      energy_demand_check: 0.85,
      micro_type: 2,
      go_for_the_kill: true,
      neural_data_mod: 1
    },
    /*
    'Low Metal Drain': {
      percent_land: 0.65,
      percent_air: 0.25,
      percent_naval: 0.05,
      percent_orbital: 0.05,
      metal_drain_check: 0.01,
      energy_drain_check: 0.65,
      metal_demand_check: 0.73,
      energy_demand_check: 0.8,
      micro_type: 2,
      go_for_the_kill: true,
      priority_scout_metal_spots: true,
      neural_data_mod: 1.0
    },
    'Low Energy Drain': {
      percent_land: 0.65,
      percent_air: 0.25,
      percent_naval: 0.05,
      percent_orbital: 0.05,
      metal_drain_check: 0.53,
      energy_drain_check: 0.01,
      metal_demand_check: 0.73,
      energy_demand_check: 0.8,
      micro_type: 2,
      go_for_the_kill: true,
      priority_scout_metal_spots: true,
      neural_data_mod: 1.0
    },
    'Low Metal Demand': {
      percent_land: 0.65,
      percent_air: 0.25,
      percent_naval: 0.05,
      percent_orbital: 0.05,
      metal_drain_check: 0.53,
      energy_drain_check: 0.65,
      metal_demand_check: 0.01,
      energy_demand_check: 0.8,
      micro_type: 2,
      go_for_the_kill: true,
      priority_scout_metal_spots: true,
      neural_data_mod: 1.0
    },
    'Low Energy Demand': {
      percent_land: 0.65,
      percent_air: 0.25,
      percent_naval: 0.05,
      percent_orbital: 0.05,
      metal_drain_check: 0.53,
      energy_drain_check: 0.65,
      metal_demand_check: 0.73,
      energy_demand_check: 0.01,
      micro_type: 2,
      go_for_the_kill: true,
      priority_scout_metal_spots: true,
      neural_data_mod: 1.0
    },
    'Low Drain': {
      percent_land: 0.65,
      percent_air: 0.25,
      percent_naval: 0.05,
      percent_orbital: 0.05,
      metal_drain_check: 0.01,
      energy_drain_check: 0.01,
      metal_demand_check: 0.73,
      energy_demand_check: 0.8,
      micro_type: 2,
      go_for_the_kill: true,
      priority_scout_metal_spots: true,
      neural_data_mod: 1.0
    },
    'Low Demand': {
      percent_land: 0.65,
      percent_air: 0.25,
      percent_naval: 0.05,
      percent_orbital: 0.05,
      metal_drain_check: 0.53,
      energy_drain_check: 0.65,
      metal_demand_check: 0.01,
      energy_demand_check: 0.01,
      micro_type: 2,
      go_for_the_kill: true,
      priority_scout_metal_spots: true,
      neural_data_mod: 1.0
    },
    'High Drain (Never Build Factories)': {
      percent_land: 0.65,
      percent_air: 0.25,
      percent_naval: 0.05,
      percent_orbital: 0.05,
      metal_drain_check: 2.0,
      energy_drain_check: 2.0,
      metal_demand_check: 0.73,
      energy_demand_check: 0.8,
      micro_type: 2,
      go_for_the_kill: true,
      priority_scout_metal_spots: true,
      neural_data_mod: 1.0
    },
    'High Demand': {
      percent_land: 0.65,
      percent_air: 0.25,
      percent_naval: 0.05,
      percent_orbital: 0.05,
      metal_drain_check: 0.53,
      energy_drain_check: 0.65,
      metal_demand_check: 2.00,
      energy_demand_check: 2.00,
      micro_type: 2,
      go_for_the_kill: true,
      priority_scout_metal_spots: true,
      neural_data_mod: 1.0
    },
    'Low Metal (Rush)': {
      percent_land: 0.65,
      percent_air: 0.25,
      percent_naval: 0.05,
      percent_orbital: 0.05,
      metal_drain_check: 0.01,
      energy_drain_check: 0.65,
      metal_demand_check: 0.01,
      energy_demand_check: 0.8,
      micro_type: 2,
      go_for_the_kill: true,
      priority_scout_metal_spots: true,
      neural_data_mod: 1.0
    },
    'Low Energy (Rush)': {
      percent_land: 0.65,
      percent_air: 0.25,
      percent_naval: 0.05,
      percent_orbital: 0.05,
      metal_drain_check: 0.53,
      energy_drain_check: 0.01,
      metal_demand_check: 0.73,
      energy_demand_check: 0.01,
      micro_type: 2,
      go_for_the_kill: true,
      priority_scout_metal_spots: true,
      neural_data_mod: 1.0
    },
    'High Metal (Rarely Build Factories)': {
      percent_land: 0.65,
      percent_air: 0.25,
      percent_naval: 0.05,
      percent_orbital: 0.05,
      metal_drain_check: 2.0,
      energy_drain_check: 0.65,
      metal_demand_check: 2.0,
      energy_demand_check: 0.8,
      micro_type: 2,
      go_for_the_kill: true,
      priority_scout_metal_spots: true,
      neural_data_mod: 1.0
    },
    'High Energy (Poor Turtle)': {
      percent_land: 0.65,
      percent_air: 0.25,
      percent_naval: 0.05,
      percent_orbital: 0.05,
      metal_drain_check: 0.53,
      energy_drain_check: 2.0,
      metal_demand_check: 0.73,
      energy_demand_check: 2.0,
      micro_type: 2,
      go_for_the_kill: true,
      priority_scout_metal_spots: true,
      neural_data_mod: 1.0
    },
    */
  }
  model.aiPersonalityNames = ko.computed(function() {
    return _.keys(model.aiPersonalities())
  })
  var ais = {}
  _.extend(ais, model.aiPersonalities(), extensions)
  model.aiPersonalities(ais)
})()
